import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSet } from "../Foundation/NSSet.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _OSSystemExtensionsWorkspaceObserver } from "./OSSystemExtensionsWorkspaceObserver.js";
export declare class _OSSystemExtensionsWorkspace extends _NSObject {
    static alloc(): _OSSystemExtensionsWorkspace;
    static new(): _OSSystemExtensionsWorkspace;
    init(): _OSSystemExtensionsWorkspace;
    static sharedWorkspace(): _OSSystemExtensionsWorkspace;
    /**
     * Start observing changes to System Extension(s) which are enabled or ready to be enabled.
     */
    addObserver$error$(observer: _OSSystemExtensionsWorkspaceObserver, error: NobjcObject | null): boolean;
    /** Stop observing changes to System Extension(s). */
    removeObserver$(observer: _OSSystemExtensionsWorkspaceObserver): void;
    /**
     * Get information about system extension(s) in an app with a bundle identifier BundleIdentifier of the application containing the system extension(s) Error parameter to be populated with relevant error information A set of system extension property objects on success, nil otherwise.
     */
    systemExtensionsForApplicationWithBundleID$error$(bundleID: _NSString, out_error: NobjcObject | null): _NSSet | null;
}
